import { Module } from '@nestjs/common';
import { ConfigModule, ConfigService } from '@nestjs/config';
import { HelloWorldController } from './hello-world/controller';
import { HelloWorldService } from './hello-world/service';
import { ScreenshotterService } from './screenshotter/screenshotter.service';
import { BullModule } from '@nestjs/bull';
import { ScreenshotsModule } from './screenshots/screenshots.module';
import { BullConfigService } from './bull/bullConfigService';

@Module({
  imports: [
    ConfigModule.forRoot(),
    BullModule.forRootAsync({
      imports: [ConfigModule],
      useClass: BullConfigService,
      inject: [ConfigService],
    }),
    ScreenshotsModule,
  ],
  controllers: [HelloWorldController],
  providers: [HelloWorldService, ScreenshotterService],
})
export class AppModule {}
